aboutsummaryrefslogtreecommitdiff
path: root/fallback-deploy.sh
diff options
context:
space:
mode:
authorPjotr Prins2024-03-04 11:10:36 -0600
committerPjotr Prins2024-03-04 11:10:56 -0600
commitb61b4b2026cbd8dec69c15d14650ef1cfb2bead9 (patch)
treef646a2cfe6e982b522f14b406f9b195ec1c36c1a /fallback-deploy.sh
parentd6ca4d4ca7773a954cf147a80514c33b6870615a (diff)
downloadgn-machines-b61b4b2026cbd8dec69c15d14650ef1cfb2bead9.tar.gz
Fallback runs base services on host
Diffstat (limited to 'fallback-deploy.sh')
-rwxr-xr-xfallback-deploy.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/fallback-deploy.sh b/fallback-deploy.sh
new file mode 100755
index 0000000..10b9b1f
--- /dev/null
+++ b/fallback-deploy.sh
@@ -0,0 +1,48 @@
+#! /bin/bash -e
+
+# genenetwork-machines --- Guix configuration for genenetwork machines
+# Copyright © 2022, 2024 Arun Isaac <arunisaac@systemreboot.net>
+#
+# This file is part of genenetwork-machines.
+#
+# genenetwork-machines is free software: you can redistribute it
+# and/or modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation, either version 3 of
+# the License, or (at your option) any later version.
+#
+# genenetwork-machines is distributed in the hope that it will be
+# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
+# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with genenetwork-machines. If not, see
+# <https://www.gnu.org/licenses/>.
+
+echo Build and install genenetwork fallback container on $HOSTNAME
+
+mkdir -p /export2/guix-containers/genenetwork/var/lib/acme
+mkdir -p /export2/guix-containers/genenetwork/etc/genenetwork
+mkdir -p /export2/data/genenetwork-xapian
+mkdir -p /export2/data/genenetwork-sqlite
+mkdir -p /export/data/genenetwork/genotype_files
+
+# Note that if you change these paths you need to rebuild the container
+container_script=$(guix system container \
+ --network \
+ --load-path=. \
+ --verbosity=3 \
+ --share=/export2/guix-containers/genenetwork/var/lib/acme=/var/lib/acme \
+ --share=/export2/guix-containers/genenetwork/etc/genenetwork=/etc/genenetwork \
+ --expose=/export/data/genenetwork-xapian \
+ --share=/export/data/genenetwork-sqlite \
+ --expose=/export/data/genenetwork/genotype_files \
+ --share=/var/run/mysqld=/run/mysqld \
+ fallback.scm)
+
+name=/usr/local/bin/fallback-system-container
+if [ $? == 0 ] ; then
+ echo "Create $name -> $container_script"
+ sudo ln --force --symbolic $container_script $name
+ sudo ln --force --symbolic /usr/local/bin/$name /var/guix/gcroots
+fi